Get all customers

Get a list of all customers.

Customers are the central entity of the CareCloud CRM. Each account stores personal and contact details, loyalty program participation (cards, points, credits, vouchers), communication preferences and consent status, segments, custom properties, related customers, addresses, interests, and partner and source assignments.

Supports filtering by email, phone, first name, last name, date of birth, customer source, and a list of customer IDs. Use email_list to retrieve multiple customers by email in a single request.

Related: POST /customers, GET /customers/{customer_id}, GET /customers/actions/search-customers (enterprise interface only)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≥ 1
Defaults to 100

The number of records to return in API response.

⚠️ We recommended adjust the batch size based on processing time. Depending on the response time of the request. Default value of 100 records is used if count parameter is not set.

integer
≥ 0
Defaults to 0

The number of records from a collection to skip. Default value of 0 is used when parameter offset is not set.

string

Name of the sorting parameter. You can sort by any of the first level parameters from the resource response. Response is sorted by the specified field.

string
enum

Direction of sorting the response list.

Allowed:
string

Search by email.

string

Phone number of the customer with international prefix (420000000000).

string

The unique ID of the customer source. It identifies the system where the customer belongs or the customer account was created.

string

Search by first name.

string

Search by last name.

string

Customer's date of birth. Accepts the format YYYY-MM-DD or DD.MM.YYYY.

email_list
array of strings

List of the email addresses of the customers.

email_list
customer_ids
array of strings

List of the customer IDs.
In case you want to filter multiple options use array syntax : customer_ids[]=8ea2591121e636086a4a9c0992&customer_ids[]=8bed991c68a470e7aaeffbf048
Logic OR is used between values.

customer_ids
boolean

If true, the response will set a short salutation instead of a long one. Short salutations contain the first name of the customer only. If the parameter has a value false or not set, the full salutation is returned in response.

Headers
string
Defaults to cs, en-gb;q=0.8

The unique ID of the language code by ISO 639-1.

Responses

429

Too many requests - more than the resource limit.

503

Temporary state when the service is temporarily unavailable, overloaded or there is a maintenance window.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json